<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2) on Thu May 05 15:26:42 EDT 2005 -->
<TITLE>
ConnectorArtifactEdit
</TITLE>

<META NAME="keywords" CONTENT="org.eclipse.jst.j2ee.jca.modulecore.util.ConnectorArtifactEdit class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ConnectorArtifactEdit";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ConnectorArtifactEdit.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConnectorArtifactEdit.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<A NAME="main"></A>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.jst.j2ee.jca.modulecore.util</FONT>
<BR>
Class ConnectorArtifactEdit</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../../../../resources/inherit.gif" ALT="extended by">ArtifactEdit
      <IMG SRC="../../../../../../../resources/inherit.gif" ALT="extended by"><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">org.eclipse.jst.j2ee.componentcore.EnterpriseArtifactEdit</A>
          <IMG SRC="../../../../../../../resources/inherit.gif" ALT="extended by"><B>org.eclipse.jst.j2ee.jca.modulecore.util.ConnectorArtifactEdit</B>
</PRE>
<HR>
<DL>
<DT>public class <B>ConnectorArtifactEdit</B><DT>extends <A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A></DL>

<P>
Provides access to J2EE Connector models using the ArtifactEdit pattern.
 <p>
 Clients should use getConnectorArtifactForRead/Write() to acquire an instance
 of the correct artifact edit class.
 </p>
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../../serialized-form.html#org.eclipse.jst.j2ee.jca.modulecore.util.ConnectorArtifactEdit">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.Class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#ADAPTER_TYPE">ADAPTER_TYPE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Identifier used to link ConnectorArtifactEdit to a
 ConnectorEditAdapterFactory <CODE>ConnectorEditAdapterFactory</CODE> stored in
 an AdapterManger (@see AdapterManager)
 </TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#TYPE_ID">TYPE_ID</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Identifier used to group and query common artifact edits.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#ConnectorArtifactEdit(ArtifactEditModel)">ConnectorArtifactEdit</A></B>(ArtifactEditModel&nbsp;anArtifactEditModel)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Creates an instance facade for the given <CODE>ArtifactEditModel</CODE>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#ConnectorArtifactEdit(ComponentHandle, boolean)">ConnectorArtifactEdit</A></B>(ComponentHandle&nbsp;aHandle,
                      boolean&nbsp;toAccessAsReadOnly)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#ConnectorArtifactEdit(ModuleCoreNature, WorkbenchComponent, boolean)">ConnectorArtifactEdit</A></B>(ModuleCoreNature&nbsp;aNature,
                      WorkbenchComponent&nbsp;aModule,
                      boolean&nbsp;toAccessAsReadOnly)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Creates an instance facade for the given <CODE>ArtifactEditModel</CODE>
 </TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;EObject</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#createModelRoot()">createModelRoot</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Create an deployment descriptor resource if one does not get and return it.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;EObject</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#createModelRoot(int)">createModelRoot</A></B>(int&nbsp;version)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Create an deployment descriptor resource if one does not get and return it.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;Connector</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#getConnector()">getConnector</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html" title="class in org.eclipse.jst.j2ee.jca.modulecore.util">ConnectorArtifactEdit</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#getConnectorArtifactEditForRead(ComponentHandle)">getConnectorArtifactEditForRead</A></B>(ComponentHandle&nbsp;aHandle)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Returns an instance facade to manage the underlying edit model for the
 given <CODE>WorkbenchComponent</CODE>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html" title="class in org.eclipse.jst.j2ee.jca.modulecore.util">ConnectorArtifactEdit</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#getConnectorArtifactEditForWrite(ComponentHandle)">getConnectorArtifactEditForWrite</A></B>(ComponentHandle&nbsp;aHandle)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Returns an instance facade to manage the underlying edit model for the
 given <CODE>WorkbenchComponent</CODE>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;ConnectorResource</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#getConnectorXmiResource()">getConnectorXmiResource</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;Resource</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#getDeploymentDescriptorResource()">getDeploymentDescriptorResource</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Retrieves the underlying resource from the ArtifactEditModel using
 defined URI.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;EObject</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#getDeploymentDescriptorRoot()">getDeploymentDescriptorRoot</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Obtains the Connector (@see Connector) root object from the
 ConnectorResource.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#getJ2EEVersion()">getJ2EEVersion</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Retrieves J2EE version information from ConnectorResource.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html#isValidConnectorModule(WorkbenchComponent)">isValidConnectorModule</A></B>(WorkbenchComponent&nbsp;aModule)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.jst.j2ee.componentcore.EnterpriseArtifactEdit"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.eclipse.jst.j2ee.componentcore.<A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html#delete(org.eclipse.jdt.core.ICompilationUnit, org.eclipse.core.runtime.IProgressMonitor)">delete</A>, <A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html#getExistingWorkingCopy(ICompilationUnit)">getExistingWorkingCopy</A>, <A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html#getWorkingCopy(ICompilationUnit, boolean)">getWorkingCopy</A>, <A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html#getWorkingCopyManager()">getWorkingCopyManager</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="ADAPTER_TYPE"><!-- --></A><H3>
ADAPTER_TYPE</H3>
<PRE>
public static final java.lang.Class <B>ADAPTER_TYPE</B></PRE>
<DL>
<DD><p>
 Identifier used to link ConnectorArtifactEdit to a
 ConnectorEditAdapterFactory <CODE>ConnectorEditAdapterFactory</CODE> stored in
 an AdapterManger (@see AdapterManager)
 </p>
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="TYPE_ID"><!-- --></A><H3>
TYPE_ID</H3>
<PRE>
public static java.lang.String <B>TYPE_ID</B></PRE>
<DL>
<DD><p>
 Identifier used to group and query common artifact edits.
 </p>
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="ConnectorArtifactEdit(ComponentHandle, boolean)"><!-- --></A><H3>
ConnectorArtifactEdit</H3>
<PRE>
public <B>ConnectorArtifactEdit</B>(ComponentHandle&nbsp;aHandle,
                             boolean&nbsp;toAccessAsReadOnly)
                      throws java.lang.IllegalArgumentException</PRE>
<DL>
<DT><B>Parameters:</B><DD><CODE>aHandle</CODE> - <DD><CODE>toAccessAsReadOnly</CODE> - 
<DT><B>Throws:</B>
<DD><CODE>java.lang.IllegalArgumentException</CODE></DL>
<HR>

<A NAME="ConnectorArtifactEdit(ArtifactEditModel)"><!-- --></A><H3>
ConnectorArtifactEdit</H3>
<PRE>
public <B>ConnectorArtifactEdit</B>(ArtifactEditModel&nbsp;anArtifactEditModel)</PRE>
<DL>
<DD><p>
 Creates an instance facade for the given <CODE>ArtifactEditModel</CODE>.
 </p>
<P>
<DT><B>Parameters:</B><DD><CODE>anArtifactEditModel</CODE> - </DL>
<HR>

<A NAME="ConnectorArtifactEdit(ModuleCoreNature, WorkbenchComponent, boolean)"><!-- --></A><H3>
ConnectorArtifactEdit</H3>
<PRE>
public <B>ConnectorArtifactEdit</B>(ModuleCoreNature&nbsp;aNature,
                             WorkbenchComponent&nbsp;aModule,
                             boolean&nbsp;toAccessAsReadOnly)</PRE>
<DL>
<DD><p>
 Creates an instance facade for the given <CODE>ArtifactEditModel</CODE>
 </p>
 <p>Note: This method is for internal use only. Clients should not call this method.</p>
<P>
<DT><B>Parameters:</B><DD><CODE>aNature</CODE> - A non-null <CODE>ModuleCoreNature</CODE>for an accessible project<DD><CODE>aModule</CODE> - A non-null <CODE>WorkbenchComponent</CODE>pointing to a module from
            the given <CODE>ModuleCoreNature</CODE></DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getConnectorXmiResource()"><!-- --></A><H3>
getConnectorXmiResource</H3>
<PRE>
public ConnectorResource <B>getConnectorXmiResource</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>ConnectorResource from (@link getDeploymentDescriptorResource())</DL>
</DD>
</DL>
<HR>

<A NAME="getDeploymentDescriptorResource()"><!-- --></A><H3>
getDeploymentDescriptorResource</H3>
<PRE>
public Resource <B>getDeploymentDescriptorResource</B>()</PRE>
<DL>
<DD><p>
 Retrieves the underlying resource from the ArtifactEditModel using
 defined URI.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html#getDeploymentDescriptorResource()">getDeploymentDescriptorResource</A></CODE> in class <CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>Resource</DL>
</DD>
</DL>
<HR>

<A NAME="getDeploymentDescriptorRoot()"><!-- --></A><H3>
getDeploymentDescriptorRoot</H3>
<PRE>
public EObject <B>getDeploymentDescriptorRoot</B>()</PRE>
<DL>
<DD><p>
 Obtains the Connector (@see Connector) root object from the
 ConnectorResource. If the root object does not exist, then one is created
 (@link addConnectorIfNecessary(getConnectorXmiResource())). The root
 object contains all other resource defined objects.
 </p>
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html#getDeploymentDescriptorRoot()">getDeploymentDescriptorRoot</A></CODE> in class <CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>EObject</DL>
</DD>
</DL>
<HR>

<A NAME="getConnectorArtifactEditForRead(ComponentHandle)"><!-- --></A><H3>
getConnectorArtifactEditForRead</H3>
<PRE>
public static <A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html" title="class in org.eclipse.jst.j2ee.jca.modulecore.util">ConnectorArtifactEdit</A> <B>getConnectorArtifactEditForRead</B>(ComponentHandle&nbsp;aHandle)</PRE>
<DL>
<DD><p>
 Returns an instance facade to manage the underlying edit model for the
 given <CODE>WorkbenchComponent</CODE>. Instances of ArtifactEdit that are
 returned through this method must be <CODE>#dispose()</CODE>ed of when no
 longer in use.
 </p>
 <p>
 Use to acquire an ArtifactEdit facade for a specific
 <CODE>WorkbenchComponent</CODE>&nbsp;that will not be used for editing.
 Invocations of any save*() API on an instance returned from this method
 will throw exceptions.
 </p>
 <p>
 <b>The following method may return null. </b>
 </p>
<P>
<DD><DL>

<DT><B>Returns:</B><DD>An instance of ArtifactEdit that may only be used to read the
         underlying content model</DL>
</DD>
</DL>
<HR>

<A NAME="getConnectorArtifactEditForWrite(ComponentHandle)"><!-- --></A><H3>
getConnectorArtifactEditForWrite</H3>
<PRE>
public static <A HREF="../../../../../../../org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html" title="class in org.eclipse.jst.j2ee.jca.modulecore.util">ConnectorArtifactEdit</A> <B>getConnectorArtifactEditForWrite</B>(ComponentHandle&nbsp;aHandle)</PRE>
<DL>
<DD><p>
 Returns an instance facade to manage the underlying edit model for the
 given <CODE>WorkbenchComponent</CODE>. Instances of ArtifactEdit that are
 returned through this method must be <CODE>#dispose()</CODE>ed of when no
 longer in use.
 </p>
 <p>
 Use to acquire an ArtifactEdit facade for a specific
 <CODE>WorkbenchComponent</CODE>&nbsp;that will be used for editing.
 </p>
 <p>
 <b>The following method may return null. </b>
 </p>
<P>
<DD><DL>

<DT><B>Returns:</B><DD>An instance of ArtifactEdit that may be used to modify and
         persist changes to the underlying content model</DL>
</DD>
</DL>
<HR>

<A NAME="isValidConnectorModule(WorkbenchComponent)"><!-- --></A><H3>
isValidConnectorModule</H3>
<PRE>
public static boolean <B>isValidConnectorModule</B>(WorkbenchComponent&nbsp;aModule)
                                      throws UnresolveableURIException</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>True if the supplied module
         <CODE>ArtifactEdit#isValidEditableModule(WorkbenchComponent)</CODE>and
         the moduleTypeId is a JST module
<DT><B>Throws:</B>
<DD><CODE>UnresolveableURIException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getJ2EEVersion()"><!-- --></A><H3>
getJ2EEVersion</H3>
<PRE>
public int <B>getJ2EEVersion</B>()</PRE>
<DL>
<DD><p>
 Retrieves J2EE version information from ConnectorResource.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html#getJ2EEVersion()">getJ2EEVersion</A></CODE> in class <CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>an integer representation of a J2EE Spec version</DL>
</DD>
</DL>
<HR>

<A NAME="getConnector()"><!-- --></A><H3>
getConnector</H3>
<PRE>
public Connector <B>getConnector</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>Connector from (@link getDeploymentDescriptorRoot())</DL>
</DD>
</DL>
<HR>

<A NAME="createModelRoot()"><!-- --></A><H3>
createModelRoot</H3>
<PRE>
public EObject <B>createModelRoot</B>()</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A></CODE></B></DD>
<DD><p>
 Create an deployment descriptor resource if one does not get and return it.
 Subclasses should overwrite this method to create their own type of deployment descriptor
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html#createModelRoot()">createModelRoot</A></CODE> in class <CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>an EObject</DL>
</DD>
</DL>
<HR>

<A NAME="createModelRoot(int)"><!-- --></A><H3>
createModelRoot</H3>
<PRE>
public EObject <B>createModelRoot</B>(int&nbsp;version)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A></CODE></B></DD>
<DD><p>
 Create an deployment descriptor resource if one does not get and return it.
 Subclasses should overwrite this method to create their own type of deployment descriptor
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html#createModelRoot(int)">createModelRoot</A></CODE> in class <CODE><A HREF="../../../../../../../org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore">EnterpriseArtifactEdit</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>an EObject</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ConnectorArtifactEdit.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConnectorArtifactEdit.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
